################################################################################
#
# Makefile  : Bmp2Png
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/14 16:10:08 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_XEMACS_DIR = 1

USE_GNUW32 = 1
USE_ZLIB = 1
USE_PNG = 1
# NETPBM = 1

!include <msvc/common.mak>

programs = $(objdir)\bmp2png.exe $(objdir)\png2bmp.exe

default: all

all: $(objdir) $(programs)

$(objdir)\bmp2png.exe: $(objdir)\bmp2png.obj $(objdir)\common.obj $(pnglib) $(zliblib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\png2bmp.exe: $(objdir)\png2bmp.obj $(objdir)\common.obj $(pnglib) $(zliblib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

!include <msvc/config.mak>
!include <msvc/install.mak>

install:: install-exec

!include <msvc/clean.mak>

!include <msvc/rdepend.mak>
!include "./depend.mak"

#  
# Local variables:
# page-delimiter: "^# \f"
# mode: Makefile
# End:
