################################################################################
#
# Makefile  : tiff2png
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/14 16:10:41 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_GNUW32 = 1
USE_ZLIB = 1
USE_PNG = 1
USE_TIFF = 1
NETPBM = 1

!include <msvc/common.mak>

DEFS= $(DEFS) -DPNG_INTERNAL

programs = $(objdir)\tiff2png.exe
objects = $(objdir)\tiff2png.obj

default: all

all: $(objdir) $(objdir)\tiff2png.exe

$(objdir)\tiff2png.exe: $(objects) $(pnglib) $(tifflib) $(zliblib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

!include <msvc/config.mak>
!include <msvc/install.mak>

install:: install-exec

!include <msvc/clean.mak>

!include <msvc/rdepend.mak>
!include "./depend.mak"

# 
# Local Variables:
# mode: makefile
# End:
