################################################################################
#
# Makefile  : 
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/05/18 14:48:19 popineau>
#
################################################################################
root_srcdir = ..\..\..\fptex
INCLUDE=$(INCLUDE);$(root_srcdir)\win32

GNU=1
MAKE_XPM = 1
USE_XPM = 1
USE_GNUW32 = 1

USE_XEMACS_DIR = 1

!include <make/common.mak>

manfiles = cxpm.1

DEFS = -I$(xpmdir)\lib -DFOR_MSW $(DEFS)

#
objects = $(objdir)\cxpm.obj
programs = $(objdir)\cxpm.exe

default: all

all: $(objdir) $(programs)

$(objdir)\cxpm.exe: $(objects) $(xpmlib)
	$(link) $(**) $(xpmlib) $(conlibs)

!include <make/config.mak>
!include <make/install.mak>

install:: install-exec # install-lib install-include

!include <make/clean.mak>
!include <make/rdepend.mak>
!include "./depend.mak"

# 
# Local Variables:
# mode: Makefile
# End: