
#include <windows.h>

BOOL WINAPI DllMain(HANDLE hinstDLL, DWORD dwReason, LPVOID lpvReserved)
{
    /* Perform actions based on the reason for calling. */
    switch(dwReason) 
    { 
        case DLL_PROCESS_ATTACH:
	    /* Initialize once for each new process.
	       Return FALSE to fail DLL load. */
	    wprintf(stderr, "argv0 = %s\n", argv[0]);
            break;

        case DLL_THREAD_ATTACH:
	    /* Do thread-specific initialization. */
            break;
	    
        case DLL_THREAD_DETACH:
	    /* Do thread-specific cleanup. */
            break;

        case DLL_PROCESS_DETACH:
	    /* Perform any necessary cleanup. */
            break;
    }
    return TRUE;  /* Successful DLL_PROCESS_ATTACH. */
}
