################################################################################
#
# Makefile  : subdirs, rules to recursively enter directories
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/05/14 10:41:59 popineau>
#
################################################################################

default:: all


all::
	-@echo $(verbose) & for %%d in ($(subdirs)) do \
		echo Entering %%d for $@ \
		& pushd %%d & $(make) $@ & popd

lib::
	-@echo $(verbose) & for %%d in ($(subdirs)) do \
		echo Entering %%d for $@ \
		& pushd %%d & $(make) $@ & popd

install:: all install-dirs
	-@echo $(verbose) & for %%d in ($(subdirs)) do \
		echo Entering %%d for $@ \
		& pushd %%d & $(make) $@ & popd

install-exec:: all install-dirs
	-@echo $(verbose) & for %%d in ($(subdirs)) do \
		echo Entering %%d for $@ \
		& pushd %%d & $(make) $@ & popd

install-lib:: all install-dirs
	-@echo $(verbose) & for %%d in ($(subdirs)) do \
		echo Entering %%d for $@ \
		& pushd %%d & $(make) $@ & popd

install-include:: all install-dirs
	-@echo $(verbose) & for %%d in ($(subdirs)) do \
		echo Entering %%d for $@ \
		& pushd %%d & $(make) $@ & popd

install-data:: all install-dirs
	-@echo $(verbose) & for %%d in ($(subdirs)) do \
		echo Entering %%d for $@ \
		& pushd %%d & $(make) $@ & popd

install-doc:: all install-dirs
	-@echo $(verbose) & for %%d in ($(subdirs)) do \
		echo Entering %%d for $@ \
		& pushd %%d & $(make) $@ & popd

install-man:: all install-dirs
	-@echo $(verbose) & for %%d in ($(subdirs)) do \
		echo Entering %%d for $@ \
		& pushd %%d & $(make) $@ & popd

depend::
	-@echo $(verbose) & for %%d in ($(subdirs)) do \
		echo Entering %%d for $@ \
		& pushd %%d & $(make) $@ & popd

install-dirs::

# Other standard targets for everything.
clean distclean::
	-@echo $(verbose) & for %%d in ($(subdirs)) do \
		echo Entering %%d for $@ \
		& pushd %%d & $(make) $@ & popd

# End of subdirs.mak
#
# Local Variables:
# mode: makefile
# End:
