#include <windows.h>
#include <stdlib.h>
#include <stdio.h>

void main(int argc, char *argv[])
{
    GUID theGuid;
    HRESULT result;
    int count = 1;
    int i;
    CoInitialize(0);
    
    if (argc != 2 || ((count = atoi(argv[1])) < 1)) {
	count = 1;
    }
    for (i = 0; i < count; i++) {
	theGuid = GUID_NULL;
	if ((result = CoCreateGuid(&theGuid)) == S_OK) {
	    printf("{%.8X-%.4X-%.4X-%.2X%.2X-%.2X%.2X%.2X%.2X%.2X%.2X}\n",
		   theGuid.Data1,
		   theGuid.Data2,
		   theGuid.Data3,
		   theGuid.Data4[0], theGuid.Data4[1], theGuid.Data4[2], theGuid.Data4[3], 
		   theGuid.Data4[4], theGuid.Data4[5], theGuid.Data4[6], theGuid.Data4[7]); 
	}
	else {
	    fprintf(stderr, "%s: an error occured (%d)\n", argv[0], result);
	}
    }
    CoUninitialize();
}
