################################################################################
#
# Makefile  : Context
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/11/04 14:14:10 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_GNUW32 = 1

!include <msvc/common.mak>

programs =
manfiles =
infofiles = 
installinfoflags = 
perlscripts = \
	"$(texmfdist)\scripts\context\perl\texexec.pl" \
	"$(texmfdist)\scripts\context\perl\makempy.pl" \
	"$(texmfdist)\scripts\context\perl\texshow.pl" \
	"$(texmfdist)\scripts\context\perl\texfind.pl" \
	"$(texmfdist)\scripts\context\perl\texfont.pl" \
	"$(texmfdist)\scripts\context\perl\texutil.pl" \
	"$(texmfdist)\scripts\context\perl\fdf2tan.pl" \
	"$(texmfdist)\scripts\context\perl\fdf2tex.pl" \
	"$(texmfdist)\scripts\context\perl\mptopdf.pl"

pdfetexprogs = \
	context.exe


default: all

all:

!include <msvc/config.mak>
!include <msvc/install.mak>

install:: install-exec install-data install-man

!ifndef STANDALONE
install-exec:: $(perlscripts)
	-@echo $(verbose) & ( \
		if not "$(perlscripts:"=)"=="" ( \
			for %%s in ($(perlscripts)) do \
				$(perlcomp) $(perlcompflags) %%s >> $(win32perldir)\perlfiles.lst \
				& $(runperl) -f %%~nxs "$(bindir)\%%~ns.exe" $(redir_stderr) \
		) \
	)

install-exec::
	-@echo $(verbose) & ( \
		for %%s in ($(pdfetexprogs)) do \
			$(del) "$(bindir)\%%s" \
			& pushd "$(bindir)" & $(lnexe) .\pdfetex.exe "$(bindir)\%%s" $(redir_stdout) \
	)

#"
!endif

!include <msvc/clean.mak>

!include <msvc/rdepend.mak>
!include "./depend.mak"

#
# Local Variables:
# mode: makefile
# End: