################################################################################
#
# Makefile  : Dvipdfmx / data
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.7 sources
# Time-stamp: <04/05/04 11:58:25 popineau>
#
################################################################################
root_srcdir = ..\..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

!include <msvc/common.mak>

installdirs = $(installdirs) $(texmf)\dvipdfm

# Package subdirectories, the library, and all subdirectories.

!include <msvc/install.mak>

all::

install:: install-data

install-data::
	-@echo $(verbose) && ( for %d in (CMap config) do \
	    $(copydir) %d "$(texmf)\dvipdfm" \
	 ) $(redir_stdout)

!include <msvc/config.mak>
!include <msvc/clean.mak>

# Local Variables:
# mode: Makefile
# End:
