$(objdir)/macro.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	cmds.h \
	files.h \
	macro.h \
	makeinfo.h \
	insertion.h

$(objdir)/toc.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	makeinfo.h \
	insertion.h \
	cmds.h \
	files.h \
	macro.h \
	node.h \
	xref.h \
	html.h \
	lang.h \
	sectioning.h \
	toc.h \
	xml.h

$(objdir)/files.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	files.h \
	html.h \
	index.h \
	makeinfo.h \
	insertion.h \
	cmds.h \
	macro.h \
	node.h \
	xref.h

$(objdir)/lang.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	cmds.h \
	files.h \
	lang.h \
	makeinfo.h \
	sectioning.h \
	insertion.h \
	xml.h

$(objdir)/xref.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	cmds.h \
	float.h \
	html.h \
	index.h \
	makeinfo.h \
	insertion.h \
	macro.h \
	node.h \
	xref.h \
	xml.h

$(objdir)/insertion.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	cmds.h \
	defun.h \
	insertion.h \
	float.h \
	html.h \
	macro.h \
	makeinfo.h \
	multi.h \
	xml.h

$(objdir)/float.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	makeinfo.h \
	cmds.h \
	files.h \
	float.h \
	html.h \
	sectioning.h \
	xml.h

$(objdir)/index.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	files.h \
	footnote.h \
	html.h \
	index.h \
	makeinfo.h \
	insertion.h \
	cmds.h \
	lang.h \
	macro.h \
	sectioning.h \
	toc.h \
	xml.h

$(objdir)/node.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	cmds.h \
	files.h \
	float.h \
	footnote.h \
	macro.h \
	makeinfo.h \
	node.h \
	xref.h \
	html.h \
	sectioning.h \
	insertion.h \
	xml.h

$(objdir)/makeinfo.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	$(gnuw32dir)/getopt.h \
	makeinfo.h \
	cmds.h \
	files.h \
	float.h \
	footnote.h \
	html.h \
	index.h \
	insertion.h \
	lang.h \
	macro.h \
	node.h \
	xref.h \
	sectioning.h \
	toc.h \
	xml.h

$(objdir)/sectioning.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	cmds.h \
	insertion.h \
	html.h \
	macro.h \
	makeinfo.h \
	node.h \
	xref.h \
	toc.h \
	sectioning.h \
	xml.h

$(objdir)/cmds.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	cmds.h \
	defun.h \
	insertion.h \
	files.h \
	footnote.h \
	html.h \
	index.h \
	makeinfo.h \
	lang.h \
	macro.h \
	multi.h \
	node.h \
	xref.h \
	sectioning.h \
	toc.h \
	xml.h

$(objdir)/xml.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	makeinfo.h \
	insertion.h \
	files.h \
	float.h \
	macro.h \
	cmds.h \
	lang.h \
	xml.h

$(objdir)/defun.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	defun.h \
	insertion.h \
	xml.h \
	makeinfo.h \
	cmds.h \
	html.h

$(objdir)/multi.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	cmds.h \
	insertion.h \
	makeinfo.h \
	multi.h \
	xml.h

$(objdir)/html.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	cmds.h \
	files.h \
	html.h \
	lang.h \
	makeinfo.h \
	node.h \
	xref.h \
	sectioning.h

$(objdir)/footnote.obj: \
	../lib/system.h \
	../config.h \
	$(gnuw32dir)/win32lib.h \
	$(gnuw32dir)/inttypes.h \
	$(gnuw32dir)/xalloc.h \
	../lib/gettext.h \
	footnote.h \
	macro.h \
	makeinfo.h \
	node.h \
	xref.h \
	xml.h

