################################################################################
#
# Makefile  : TtfDump / Src
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/05/12 16:35:47 popineau>
#
################################################################################
root_srcdir = ..\..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

# Makefile for ttfdump

USE_GNUW32 = 1
USE_KPATHSEA = 1

!include <msvc/common.mak>

DEFS = -I.. -I../include -I../libttf $(DEFS) -UKPSE_DLL

manfiles = ttfdump.1
objects = $(objdir)\ttfdump.obj
libdump = ..\libttf\$(objdir)\libttf.lib
program = $(objdir)\ttfdump.exe
programs = $(program)

default: all

all: $(objdir) $(programs)

$(program): $(libdump) $(objects) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(libdump):
	pushd ..\libtff & $(make) all & popd

ttfdump.1: ..\docs\ttfdump.1
	@$(copy) ..\docs\ttfdump.1 $(@) $(redir_stdout)

!include <msvc/config.mak>
!include <msvc/install.mak>

install:: install-exec install-man

!include <msvc/clean.mak>

!include <msvc/rdepend.mak>
!include "./depend.mak"

#  
# Local variables:
# page-delimiter: "^# \f"
# mode: Makefile
# End:
