################################################################################
#
# Makefile  : Windvi / doc
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/17 10:32:20 popineau>
#
################################################################################
root_srcdir = ..\..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

pdfdocfiles = windvi.pdf
manfiles =
htmldocfiles = windvi.html

docsubdir = windvi

!include <msvc/common.mak>

all: doc

info: doc

!include <msvc/config.mak>
!include <msvc/install.mak>

# FIXME! It is a kludge...
windvi_toc.html:

install-doc::
	-if NOT exist "$(htmldocdir)" mkdir "$(htmldocdir)"
	-htlatex --force --output-dir "$(htmldocdir)" windvi.tex

!include <msvc/clean.mak>

depend::

#
# Local Variables:
# mode: makefile
# End:

