#include <stdio.h>
#include <stdlib.h>
#include <windows.h>
#include "geturl.h"

void __cdecl DoDownloadProgress(unsigned long partial, unsigned long total)
{
  fprintf(stderr, "%ld/%ld\n", partial, total);
}

void __cdecl DoDownloadLog(char *s, ...)
{
  va_list argList;
  fputc('\n', stderr);
  va_start (argList, s);
  vfprintf(stderr, s, argList);
  va_end (argList);
}

void
main(int argc, char *argv[])
{
  int ret;

  if (argv[1] 
      && (strncmp(argv[1], "ftp://", 6) == 0
	  || strncmp(argv[1], "http://", 7) == 0)) {
    char *local = strrchr(argv[1], '/');
    if (local == NULL) {
      fprintf(stderr, "Invalid url, aborting...\n");
      exit(1);
    }

  ret = (get_url_to_file(argv[1], 
			 local,
			 0, 
			 DoDownloadLog, 
			 DoDownloadProgress,
			 NULL, /* AfxGetInstanceHandle() */
			 NetIOIE5, /*g_uiNetMethod */
			 NULL, /* _proxy_address */
			 80 /* g_uiProxyPort */
			 ) == 0);
  
  }
  else {
    fprintf(stderr, "usage: %s <url>\n", argv[0]);
    exit(1);
  }
}
