################################################################################
#
# Makefile  : XPdf
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/05/23 02:02:55 popineau>
#
################################################################################
root_srcdir=..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

!include <msvc/common.mak>

# Package subdirectories.
subdirs = \
#	goo \
	xpdf \
	doc

all:: aconf.h

aconf.h:
	$(perl) $(win32perldir)\configure-cauto.pl aconf.h.in aconf.h

!include <msvc/subdirs.mak>
!include <msvc/config.mak>
!include <msvc/clean.mak>

distclean::
	-@$(del) aconf.h

#
# Local Variables:
# mode: Makefile
# End:
