
require "newgetopt.pl";
use lib qw (c:/source/xemtex/msvc);
use FileUtils qw(canon_dir cleandir make_link newpath 
		  normalize substitute_var_val dirname
		  rec_rmdir sync_dir walk_dir start_redirection
		  stop_redirection sync_dir);
use Cwd;
use Time::gmtime;

my $count = 0;
my $num = 0;

sub collect {
  my ($dir, @l) = @_;
  map {
    my $found_from = undef;
    my $name = "$dir/$_";
    my $str = "";
    if (-f $name) {
      open TXT, "<$name";
      binmode(TXT);
      while (<TXT>) {
#	print "$_";
	if (/^From\s.*$/) {
	  $found_from = 1;
	}
	elsif (/^Return-Path:\s*<?([^\>]*)>?\s*$/ && $found_from != 1) {
	  $found_from = 1;
	  print MBOX "From $1\n";
	  $count += length("From $1\n");
	}
	elsif (/^From:.*<(.*)>\s*$/ && $found_from != 1) {
	  $found_from = 1;
	  print MBOX "From $1\n";
	  $count += length("From $1\n");
	}
	$str .= $_;
      }
      if ($found_from != 1) {
	print STDERR "$name\n";
      }
#      else {
	print MBOX "$str\n\n";
      $count += length("$str\n\n");
#      }
      close TXT;
    }
    if ($count > 200000000) {
      close MBOX;
      $count = 0;
      $num++;
      open MBOX, ">../Mail/.mailbox$num";
    }
  } @l;
}

chdir("c:/Documents and Settings/popineau/My Documents/MailMessages");

unlink("../Mail/.mailbox$num");
open MBOX,">../Mail/.mailbox$num";
binmode(MBOX);
&FileUtils::walk_dir(".", \&collect);
close(MBOX);
exit(0);
