################################################################################
#
# Makefile  : Web2C / doc
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/17 11:27:25 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

!include <msvc/common.mak>

infofiles = web2c.info
pdfdocfiles = web2c.pdf
manfiles =
htmldocfiles = web2c.html

docsubdir = web2c

all: doc

info: doc

!include <msvc/config.mak>
!include <msvc/install.mak>

web2c_toc.html: web2c.texi
	$(silent)$(texi2html) $(texi2html_flags) $(**)

web2c.info: install.texi ref.txi

!include <msvc/clean.mak>

depend:

#
# Local Variables:
# mode: makefile
# End:

