################################################################################
#
# Makefile  : Texdoctk
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/11/04 14:01:12 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_GNUW32 = 1

!include <msvc/common.mak>

programs =
manfiles = texdoctk.1
infofiles = 
installinfoflags = 
perlscripts = \
	"$(texmf)\scripts\tetex\texdoctk.pl" \

objects= $(objdir)\texdoctk.obj

default: all

all:

"$(texmf)\scripts\tetex\texdoctk.pl": texdoctk.pl
	@$(copy) $(**) $(@) $(redir_stdout)

!ifndef STANDALONE
install-exec:: $(perlscripts)
	-@echo $(verbose) & ( \
		if not "$(perlscripts:"=)"=="" ( \
			for %%s in ($(perlscripts)) do \
				$(perlcomp) $(perlcompflags) %%s >> $(win32perldir)\perlfiles.lst \
				& $(runperl) -f %%~nxs "$(bindir)\%%~ns.exe" $(redir_stderr) \
		) \
	)
!endif

!include <msvc/config.mak>
!include <msvc/install.mak>

install:: install-exec install-man

!include <msvc/clean.mak>

!include <msvc/rdepend.mak>
!include "./depend.mak"

#
# Local Variables:
# mode: makefile
# End: