################################################################################
#
# Makefile  : TeXInfo
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/05/25 01:15:52 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

!include <msvc/common.mak>

# Package subdirectories, the library, and all subdirectories.
subdirs = makeinfo util doc

all:: config.h

!include <msvc/subdirs.mak>
!include <msvc/config.mak>
!include <msvc/clean.mak>

distclean::
	-@$(del) config.h

# Local Variables:
# mode: Makefile
# End:

