@echo off
set objdir=%1
set srcdir=..\..
set win32seddir=%srcdir%\msvc
set webcdir=%srcdir%\texk\web2c
set texmfmpdir=%srcdir%\texk\texmfmp
set OLDPATH=%PATH%
set PATH=%srcdir%\texk\kpathsea\%objdir%;%srcdir%\libs\libgnuw32\%objdir%;%srcdir%\libs\geturl\%objdir%;%srcdir%\texk\texmfmp\%objdir%;%PATH%
set srcdir=%srcdir%\texk\%2
if NOT %2==bibtex goto mfmp
	cat %webcdir%\common.defines %2.p | %webcdir%\%objdir%\web2c -hcpascal.h -c%2 | sed -f %webcdir%/cvtbib.sed | %webcdir%\%objdir%\fixwrites %2 | perl %webcdir%\splitup.pl --name=%2 > %2.c
	cat %srcdir%\bibtex.h | sed -e "1,$s/(buftype)//g" | sed -e "1,$s/(pdstype)//g" > %srcdir%\bibtex.h.new
	copy %srcdir%\bibtex.h.new %srcdir%\bibtex.h && del /f %srcdir%\bibtex.h.new
	goto exit
:mfmp
if NOT %2==mf goto mp
	cat %webcdir%\common.defines %webcdir%\texmf.defines %webcdir%\mfmp.defines %2.p | sed -f %webcdir%/cvtmf1.sed | %webcdir%\%objdir%\web2c -htexmfmp.h -m -c%2coerce | sed -f %webcdir%/cvtmf2.sed | %webcdir%\%objdir%\fixwrites %2 | perl %webcdir%\splitup.pl --name=%2 --dfile > %2.c
rem so timestamps are definitely later, to avoid make weirdness
	copy %srcdir%\%2coerce.h+%webcdir%\coerce.h %srcdir%\x%2coerce.h
	sed -f %win32seddir%\mfmp.sed %srcdir%\x%2coerce.h > %srcdir%\%2coerce.h
	del /f %srcdir%\x%2coerce.h
	goto exit
:mp
if NOT %2==mp goto omega
	cat %webcdir%\common.defines %webcdir%\texmf.defines %webcdir%\mfmp.defines %2.p | sed -f %webcdir%/cvtmf1.sed | %webcdir%\%objdir%\web2c -htexmfmp.h -m -c%2coerce | sed -f %webcdir%/cvtmf2.sed | %webcdir%\%objdir%\fixwrites %2 | perl %webcdir%\splitup.pl --name=%2 --dfile > %2.c
	copy %srcdir%\%2coerce.h+%webcdir%\coerce.h %srcdir%\x%2coerce.h
	sed -f %win32seddir%\mfmp.sed %srcdir%\x%2coerce.h > %srcdir%\%2coerce.h
	del /f %srcdir%\x%2coerce.h
	goto exit
:omega
if NOT %2==omega goto eomega
goto omega_or_eomega_or_aleph
:eomega
if NOT %2==eomega goto aleph
goto omega_or_eomega_or_aleph
:aleph
if NOT %2==aleph goto pdf
:omega_or_eomega_or_aleph
	cat %webcdir%\common.defines %webcdir%\texmf.defines %2.defines %2.p | %webcdir%\%objdir%\web2c -htexmfmp.h -t -c%2coerce | %webcdir%\%objdir%\fixwrites -t %2 | perl %webcdir%\splitup.pl --name=%2 --dfile > %2.c
	copy .\%2coerce.h+%webcdir%\coerce.h .\x%2coerce.h
	copy .\x%2coerce.h .\%2coerce.h
rem	sed -f %win32seddir%\tex-deopt.sed < %srcdir%\%2.c > %srcdir%\%2.c.opt
rem	copy %srcdir%\%2.c.opt %srcdir%\%2.c && del /f %srcdir%\%2.c.opt
	del /f .\x%2coerce.h
	goto exit
:pdf
if NOT %2==pdftex goto pdfetex
goto pdftex_or_pdfetex_or_pdfxtex
:pdfetex
if NOT %2==pdfetex goto pdfxtex
goto pdftex_or_pdfetex_or_pdfxtex
:pdfxtex
if NOT %2==pdfxtex goto tex
:pdftex_or_pdfetex_or_pdfxtex
	cat %webcdir%\common.defines %webcdir%\texmf.defines %2.defines %2.p | %webcdir%\%objdir%\web2c -htexmfmp.h -t -c%2coerce | %webcdir%\%objdir%\fixwrites -t %2 | perl %webcdir%\splitup.pl --name=%2 --dfile > %2.c
	copy %srcdir%\%2coerce.h+%webcdir%\coerce.h %srcdir%\x%2coerce.h
	copy %srcdir%\x%2coerce.h %srcdir%\%2coerce.h
	del /f %srcdir%\x%2coerce.h
rem	sed -f %win32seddir%\tex-deopt.sed < %srcdir%\%2.c > %srcdir%\%2.c.opt
rem	copy %srcdir%\%2.c.opt %srcdir%\%2.c && del /f %srcdir%\%2.c.opt
	goto exit
:tex
if NOT %2==tex goto etex
goto tex_or_etex
:etex
if NOT %2==etex goto vftovp
:tex_or_etex
	cat %webcdir%\common.defines %webcdir%\texmf.defines %2.p | %webcdir%\%objdir%\web2c -htexmfmp.h -t -c%2coerce | %webcdir%\%objdir%\fixwrites -t %2 | perl %webcdir%\splitup.pl --name=%2 --dfile > %2.c
	copy %srcdir%\%2coerce.h+%webcdir%\coerce.h %srcdir%\x%2coerce.h
	copy %srcdir%\x%2coerce.h %srcdir%\%2coerce.h
	del /f %srcdir%\x%2coerce.h
rem	sed -f %win32seddir%\tex-deopt.sed < %srcdir%\%2.c > %srcdir%\%2.c.opt
rem	copy %srcdir%\%2.c.opt %srcdir%\%2.c && del /f %srcdir%\%2.c.opt
	goto exit
:vftovp
REM if NOT %2==vftovp goto else
REM 	cat %webcdir%\common.defines %2.p | %webcdir%\%objdir%\web2c -hcpascal.h -c%2 | sed -f %webcdir%/cvtvf2vp.sed | %webcdir%\%objdir%\fixwrites %2 > %2.c
REM 	goto exit:
:else
	cat %webcdir%\common.defines %2.p | %webcdir%\%objdir%\web2c -hcpascal.h -c%2 | %webcdir%\%objdir%\fixwrites %2 > %2.c
:exit
	if EXIST %2d.h touch %2d.h
	echo 'Conversion done !'
set PATH=%OLDPATH%
